package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;
import lombok.Value;

/**
 * 健康度变量计算结果
 */
@Getter
@Value
public class WmsHealthIndexVariableValue {

    /**
     * 指标变量代码值
     */
    private final Integer value;

    /**
     * 详细信息
     */
    private final Object detail;


    public static WmsHealthIndexVariableValue empty(){
        return new WmsHealthIndexVariableValue(-1,"");
    }
}
